//go:build ignore

#include "vmlinux.h"

#include "libbpf/bpf_core_read.h"

char __license[] SEC("license") = "Dual MIT/GPL";

enum cgroup_subsys_id {
	cpuset_cgrp_id,
	cpuset_cgrp_id_lublub,
	CGROUP_SUBSYS_COUNT,
};

SEC("kprobe/tcp_close")
void BPF_KPROBE(kprobe_tcp_close) {
	bpf_printk("close called");
    if (bpf_core_enum_value_exists(enum cgroup_subsys_id, cpuset_cgrp_id_lublub)) {
        __attribute__((unused)) const volatile int val =
                bpf_core_enum_value(enum cgroup_subsys_id, cpuset_cgrp_id_lublub);
	}
	bpf_printk("close probe end");
}
